/**
 *  This package contains interfaces and classes that provide functionality to plug a signal system model 
 *  into a mobility simulation of the MATSim framework.
 *  
 *  <p>
 *  The interface <code> SignalizeableItem</code> defines methods a link or lane must implement
 *  to be the abstract spatial location of a signal.
 *  </p>
 *  <p>
 *  DefaultSignalizeableItem can be used by mobility simulations as a delegate for the SignalizeableItem
 *  interface.
 *  </p>
 * <h2>Package Maintainer(s):</h2>
 * <ul>
 *   <li>Dominik Grether</li>
 * </ul>
 * 
 * Changes by non-maintainers are prohibited. Patches very welcome!
 * 
 * @author dgrether
 */
package org.matsim.signalsystems.mobsim;

